# tcp.h File Reference

Basic functions to receive and send TCP packets. More...

`#include "address.h"`
`#include "packet.h"`

Go to the source code of this file.

## Data Structures
class | NetworkTCPSocketHandler
| Base socket handler for all TCP sockets. More...
class | TCPConnecter
| "Helper" class for creating TCP connections in a non-blocking manner More...
## Enumerations
enum | SendPacketsState { SPS_CLOSED, SPS_NONE_SENT, SPS_PARTLY_SENT, SPS_ALL_SENT }
| The states of sending the packets. More...

## Detailed Description

Basic functions to receive and send TCP packets.

Definition in file tcp.h.

## Enumeration Type Documentation

enum SendPacketsState

The states of sending the packets.

Enumerator:

  SPS_CLOSED | The connection got closed.
  SPS_NONE_SENT | The buffer is still full, so no (parts of) packets could be sent.
  SPS_PARTLY_SENT | The packets are partly sent; there are more packets to be sent in the queue.
  SPS_ALL_SENT | All packets in the queue are sent.

Definition at line 23 of file tcp.h.